# __gnu_cxx::new_allocator< _Tp > Class Template Reference

List of all members.

## Detailed Description

### template<typename _Tp>
class __gnu_cxx::new_allocator< _Tp >

This is precisely the allocator defined in the C++ Standard.

- all allocation calls operator new
- all deallocation calls operator delete

Definition at line 53 of file new_allocator.h.

## Public Types

- typedef const _Tp * const_pointer
- typedef const _Tp & const_reference
- typedef ptrdiff_t difference_type
- typedef _Tp * pointer
- typedef _Tp & reference
- typedef size_t size_type
- typedef _Tp value_type

## Public Member Functions

- const_pointer address (const_reference __x) const
- pointer address (reference __x) const
- pointer allocate (size_type __n, const void *=0)
- void construct (pointer __p, const _Tp &__val)
- void deallocate (pointer __p, size_type)
- void destroy (pointer __p)
- size_type max_size () const throw ()
- template<typename _Tp1> new_allocator (const new_allocator< _Tp1 > &) throw ()
- new_allocator (const new_allocator &) throw ()
- new_allocator () throw ()
- ~new_allocator () throw ()

## Classes

- struct rebind

The documentation for this class was generated from the following file:

- new_allocator.h